Bug 344521 - Review Request: fprobe-ulog - NetFlow probe
Review Request: fprobe-ulog - NetFlow probe
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-21 11:47 EDT by Paul P Komkoff Jr
Modified: 2014-04-15 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: fprobe-ulog-1.1-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-27 10:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Paul P Komkoff Jr 2007-10-21 11:47:33 EDT
Spec URL: http://palevo.sgu.ru/mockbuild/7/SPECS/fprobe-ulog.spec
SRPM URL: http://palevo.sgu.ru/mockbuild/7/SRPMS/fprobe-ulog-1.1-2.fc7.src.rpm
fprobe-ulog - libipulog-based tool that collect network traffic data and emit
it as NetFlow flows towards the specified collector.
Comment 1 Parag AN(पराग) 2007-10-22 23:17:18 EDT
1)Source URL should be

2) use defattr as %defattr(-,root,root,-)
Comment 2 Paul P Komkoff Jr 2007-10-23 08:44:57 EDT
Done, fprobe-ulog-1.1-3 at the same place.
Comment 3 Parag AN(पराग) 2007-10-23 11:06:57 EDT
I think it will be good if you provide SPEC as well as SRPM links each time you
update package. Otherwise it needs to open download place, browse website and
then search for updated SRPM and then download SRPM instead of having direct
single click download for updated SRPM.
Comment 5 Parag AN(पराग) 2007-10-23 11:30:42 EDT
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
cdb2e4edc47e8a3d5479eeabfb979ebc  fprobe-ulog-1.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package fprobe-ulog-1.1-3.fc8 ->
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libpthread.so.0
libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1)
libpthread.so.0(GLIBC_2.3.2) rtld(GNU_HASH)
+ Not a GUI App.
Comment 6 Paul P Komkoff Jr 2007-10-23 11:48:11 EDT
New Package CVS Request
Package Name: fprobe-ulog
Short Description: NetFlow probe
Owners: stingray
Branches: F-7
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-10-23 12:39:54 EDT
F-8 branches now exist... so do you really only want F-7 and devel? 
Or do you want F-8 here as well?
Comment 8 Paul P Komkoff Jr 2007-10-23 15:50:20 EDT
Sorry. Of course I want F-8 :) Thx.
Comment 9 Kevin Fenzi 2007-10-24 00:29:27 EDT
cvs done. 
Comment 10 Paul P Komkoff Jr 2008-03-09 08:23:18 EDT
Package Change Request
Package Name: fprobe-ulog
New Branches: EL-4 EL-5
Comment 11 Kevin Fenzi 2008-03-09 22:37:53 EDT
cvs done.
Comment 12 Fedora Update System 2014-03-28 16:40:10 EDT
fprobe-ulog-1.1-7.el6 has been submitted as an update for Fedora EPEL 6.
Comment 13 Fedora Update System 2014-04-15 19:27:28 EDT
fprobe-ulog-1.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.